timeout(1)

NAME
timeout - Start `COMMAND`, and kill it if still running after `DURATION`.

SYNOPSIS
timeout [--foreground] [-k|--kill-after] [--preserve-status] [-s|--signal] [-v|--verbose] [-h|--help] [-V|--version] <duration> <command>

DESCRIPTION
Start `COMMAND`, and kill it if still running after `DURATION`.

OPTIONS

--foreground
    when not running timeout directly from a shell prompt, allow COMMAND to read from the TTY and get TTY signals; in this mode, children of COMMAND will not be timed out

-k, --kill-after
    also send a KILL signal if COMMAND is still running this long after the initial signal was sent

--preserve-status
    exit with the same status as COMMAND, even when the command times out

-s, --signal=SIGNAL
    specify the signal to be sent on timeout; SIGNAL may be a name like 'HUP' or a number; see 'kill -l' for a list of signals

-v, --verbose
    diagnose to stderr any signal sent upon timeout

-h, --help
    Print help

-V, --version
    Print version

<duration>

<command>

VERSION
v0.0.22